Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlTableModel.EditStrategy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlTableModel.EditStrategy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlTableModel

    public static final class QSqlTableModel.EditStrategy

extends java.lang.Enum
implements QtEnumerator

This enum type describes which strategy to choose when editing values in the database. Note: To prevent inserting only partly initialized rows into the database, `OnFieldChange` will behave like `OnRowChange` for newly inserted rows.

See also:
  `setEditStrategy()`.

See Also:
  Serialized Form

Field Summary
`static QSqlTableModel.EditStrategy` | `OnFieldChange` All changes to the model will be applied immediately to the database.
`static QSqlTableModel.EditStrategy` | `OnManualSubmit` All changes will be cached in the model until either `submitAll()` or `revertAll()` is called.
`static QSqlTableModel.EditStrategy` | `OnRowChange` Changes to a row will be applied when the user selects a different row.

Method Summary
`static QSqlTableModel.EditStrategy` | `resolve(int value)` Returns the QSqlTableModel$EditStrategy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlTableModel.EditStrategy` | `valueOf(java.lang.String name)`
`static QSqlTableModel.EditStrategy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OnFieldChange

    public static final QSqlTableModel.EditStrategy OnFieldChange

  All changes to the model will be applied immediately to the database.

### OnRowChange

    public static final QSqlTableModel.EditStrategy OnRowChange

  Changes to a row will be applied when the user selects a different row.

### OnManualSubmit

    public static final QSqlTableModel.EditStrategy OnManualSubmit

  All changes will be cached in the model until either `submitAll()` or `revertAll()` is called.

Method Detail

### values

    public static QSqlTableModel.EditStrategy[] values()

### valueOf

    public static QSqlTableModel.EditStrategy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlTableModel.EditStrategy resolve(int value)

  Returns the QSqlTableModel$EditStrategy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD